DbTruncateLog (Oracle - Berkeley DB Java Edition API)
Date: 2014-12-16

com.sleepycat.je.util

## Class DbTruncateLog

- java.lang.Object
- - com.sleepycat.je.util.DbTruncateLog

-     public class DbTruncateLog
      extends Object

  DbTruncateLog is a utility that lets the user truncate JE log starting at a specified file and offset to the last log file, inclusive. Generally used in replication systems for handling com.sleepycat.je.rep.RollbackProhibitedException, to permit the application to interject application specific handling. Should be used with caution.

  The parameters for DbTruncateLog are provided through the RollbackProhibitedException instance, and the exception message. The goal is to truncate the JE log after a specified file number and file offset. DbTruncateLog will automatically delete all log entries after that specified log entry.

  For example, suppose the JE log consists of these files:

          00000002.jdb
          0000000e.jdb
          0000000f.jdb
          00000010.jdb
          00000012.jdb
          0000001d.jdb
          0000001e.jdb
          0000001f.jdb

  And the log must be truncated at file 0x1d, offset 0x34567, users should use the following command:
  1. DbTruncateLog -h <envDir> -f 0x1d -o 0x34567

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DbTruncateLog()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] argv)` Usage:

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DbTruncateLog

          public DbTruncateLog()

  - ### Method Detail

    - #### main

          public static void main(String[] argv)

      Usage:

            -h environmentDirectory
            -f file number. If hex, prefix with "0x"
            -o file offset byte. If hex, prefix with "0x"

      For example, to truncate a log to file 0xa, offset 0x1223:

           DbTruncateLog -h <environmentDir> -f 0xa -o 0x1223

Copyright (c) 2004, 2014 Oracle and/or its affiliates. All rights reserved.